<HTML>
<HEAD>
  <META name="viewport" content="width=device-width" />
  <TITLE>View Media Files</TITLE>
  <STYLE>
    .nav {
      display: inline-block;
      font-size: 1.5em;
      font-weight: bold;
      text-decoration: none;
      font-family: sans-serif;
      border: 2px solid white;
      margin: 4px;
      padding: 20px;
      color: white;
      background-color: brown;
    }
    .lst {
      font-size: 1.2em;
      font-family: sans-serif;
    }
    .grid {
      display: inline-block;
      font-size: 1.1em;
      font-weight: normal;
      text-decoration: none;
      font-family: sans-serif;
      border: 1px solid black;
      margin: 1px;
      padding: 4px;
      color: white;
      background-color: blue;
    }
    .grid2 {
      border-top: 1px solid black;
      border-left: 1px solid black;
      width: 1px;
    }
  </STYLE>
  <SCRIPT type=text/javascript>
    function setframe(datehour,mediatype) {
      ssrc="/listfiles.php?DATEHOUR="+datehour+"&TYPE="+mediatype;
      hmedia=document.getElementById('medialist');
      hmedia.src=ssrc;
    }
  </SCRIPT>
</HEAD>
<BODY>
  <A class="nav" href="/gatecontrol.php">Gate Control</A><BR>
  <?php
     $dir="/var/lib/motion/";
     $files=scandir($dir);
     sort($files); 
     $content=array();
     foreach ($files as $ind => $file) {
       if(substr($file,0,1)!=".") { 
         $ext=substr($file,-4);
         $ext=($ext==".jpg"?$ext="Still":(($ext==".avi"||$ext==".mp4")?$ext="Video":$ext="Unknown"));
         $cdate=substr($file,0,8);
         $chour=substr($file,8,2);
         if(!isset($content[$cdate]))  
           $content[$cdate]=array();
         if(!isset($content[$cdate][$chour]))
           $content[$cdate][$chour]=array();
         $content[$cdate][$chour][$ext]=1;
       }
     } 
     unset($files);
     
     echo "  <TABLE class='lst' cellspacing=0 border=0 frame=0>\n";
     echo "    <TR align='center'>\n      <TH>Date\n";
     for($h=0;$h<24;$h++) {
       $hh=substr(("00".$h),-2);
       echo "      <TH style='width:1px;'>".$hh."\n";
     }
     echo "    </TR>\n";     

     krsort($content);

     $last=count($content);

     foreach ($content as $cdate => &$chour) {
       ksort($chour);

       $sss="";
       if((--$last)<1) $sss="border-bottom: 1px solid black; ";

       echo "    <TR style='text-align:center; vertical-align:top;'>\n";
       echo "      <TD style='padding:2px 7px;'>";
       echo substr($cdate,4,2)."-".substr($cdate,6,2)."-".substr($cdate,0,4)."\n";

       for($h=0;$h<24;$h++) {
         $hh=substr(("00".$h),-2);

         if($h==23) $sss=$sss."border-right: 1px solid black; ";

         echo "      <TD class='grid2' style='$sss'>$hh<BR>";

         if(isset($chour[$hh])) {
           krsort($chour[$hh]);

           echo "\n";

           foreach ($chour[$hh] as $ext => $id) {
               $ee=substr($ext,0,1);
               $ss="";
               if($ee=="V")
                 $ss=" style='background-color:green;'";

               echo "        <A class='grid' href='javascript:void(0)'";
               echo " onclick='setframe(\"$cdate$hh\",\"$ee\")'$ss>";
               echo $ee."</A>\n";
             
           }     /* filetype */
         }       /* if isset($chour[$hh]) */
         else {
           echo "<!--$hh-->---\n";
         }

       }         /* hour */

       echo "    </TR>\n";

     }           /* date */

     echo "  </TABLE>\n";
     echo "<BR><BR>".$_SERVER["SERVER_NAME"].": ".date("r")."<BR>";
  ?>
  <IFRAME 
    id="medialist"
    src="javascript:void(0)"
    width=100%
    height=1000
    frameborder=0 
    scrolling=auto
    padding=0
    marginwidth=0
    marginheight=0
    >
  </IFRAME>
</BODY>
</HTML>
